import { useAjax } from "@/Hook/useAjax"
import { delAppApi } from "@/services/iaaSystem/application"
import { Button, Popconfirm } from "antd"
import React from "react"

interface Props {
    id: number
    onChange?: () => void
}

/**
 * 删除
 * @param param0 
 * @returns 
 */
const DelApp: React.FC<Props> = ({ id, onChange }) => {

    /********************************/
    const delApp = useAjax((params) => delAppApi(params))
    /********************************/

    const confirm = () => {
        delApp.run({ id }).then(res => {
            if (res?.data) {
                onChange?.()
            }
        })
    }

    return <Popconfirm
        title="确定删除?"
        onConfirm={confirm}
    >
        <Button type="link" loading={delApp.loading} danger style={{ padding: 0, height: 'auto' }} >删除</Button>
    </Popconfirm>
}

export default React.memo(DelApp)