import { request } from 'umi';
import { api } from '../api';

const iaaApi = api + '/iaaManage'


/**
 * 获取授权角色列表
 * @returns 
 */
export async function getRoleListApi(data: IAAAPI.GetPowerListProps) {
    return request(iaaApi + `/auth/member/role/list`, {
        method: 'POST',
        data
    });
}


/**
 * 新增角色列表
 * @param data 
 * @returns 
 */
export async function addRoleApi(data: IAAAPI.AddRoleProps) {
    return request(iaaApi + `/auth/member/role/add`, {
        method: 'POST',
        data
    });
}

/**
 * 更新授权角色
 * @param data 
 * @returns 
 */
export async function updateRoleApi(data: IAAAPI.UpdateRoleProps) {
    return request(iaaApi + `/auth/member/role/update`, {
        method: 'POST',
        data
    });
}

/**
 * 获取角色美剧
 * @returns 
 */
export async function getRoleEnumApi() {
    return request(iaaApi + `/auth/member/role/auth/type`, {
        method: 'GET'
    });
}

/**
 * 删除
 * @param params 
 * @returns 
 */
export async function delRoleApi(params: {id: number}) {
    return request(iaaApi + `/auth/member/role/delete`, {
        method: 'DELETE',
        params
    });
}

/**
 * 查询系统授权人员列表
 * @returns 
 */
export async function getMenuUserListApi() {
    return request(iaaApi + `/auth/member/all/list`, {
        method: 'GET'
    });
}